---
name: New Rule
about: You have an idea for a new rule? Great!
title: ''
labels: 'a:new-rule'
assignees: ''

---
<!-- Please, prefix the report title with the language it applies to within brackets, such as [java] or [apex] -->

**Proposed Rule Name:**

**Proposed Category:** One of [Best Practices | Code Style | Design | Documentation | Error Prone | Multithreading | Performance | Security]

**Description:**

**Code Sample:** This should include code, that should be flagged by the rule. If possible, the "correct" code
according to this new rule should also be demonstrated.

```java

```

**Possible Properties:**

*   Should this rule be customizable via properties?

